
/* RJIntProperty.h */

#ifndef ROKOJORI__INT_PROPERTY_H
#define ROKOJORI__INT_PROPERTY_H

#include "./RJGodotHeaders.h"
#include "scene/main/node.h"




class RJIntProperty : public Node 
{
  GDCLASS( RJIntProperty, Node );

protected:
  static void _bind_methods();
  

  
  //  value : int
  int value;
  
  //  onValueChanged : RJAction*
  RJAction* onValueChanged = nullptr;

public:

  
  //  value : int
  int get_value(); void set_value( int p_value );
  
  //  [signal] valueChanged() : void
  
  //  onValueChanged : RJAction*
  RJAction* get_onValueChanged() const; void set_onValueChanged( RJAction* p_onValueChanged );
  
  //  dispatchValueChanged() : void
  void dispatchValueChanged();
  
  //  setValueSilent( int p_value ) : void
  void setValueSilent( int p_value );

  //  Constructor
  RJIntProperty();

  //  Destructor
  ~RJIntProperty();
};


#endif // ROKOJORI__INT_PROPERTY_H
