
/* RJInteractor.cpp */

#include "RJInteractor.h"

//  Registers fields, signals and methods for Godot
void RJInteractor::_bind_methods() 
{
  // input: RJSensor*
  ClassDB::bind_method( D_METHOD( "set_input", "input" ), &RJInteractor::set_input );
  ClassDB::bind_method( D_METHOD( "get_input"), &RJInteractor::get_input);
  ADD_PROPERTY( PropertyInfo(Variant::OBJECT, "input", PROPERTY_HINT_NODE_TYPE ), "set_input", "get_input" );
   
  // pointer: RJPointer*
  ClassDB::bind_method( D_METHOD( "set_pointer", "pointer" ), &RJInteractor::set_pointer );
  ClassDB::bind_method( D_METHOD( "get_pointer"), &RJInteractor::get_pointer);
  ADD_PROPERTY( PropertyInfo(Variant::OBJECT, "pointer", PROPERTY_HINT_NODE_TYPE ), "set_pointer", "get_pointer" );
   
}

//  Constructor
RJInteractor::RJInteractor() 
{
  
}

// Destructor
RJInteractor::~RJInteractor()
{
  
}

// input: RJSensor*
RJSensor* RJInteractor::get_input() const { return input; }
void RJInteractor::set_input( RJSensor* p_input ) { input = p_input; }
 
// pointer: RJPointer*
RJPointer* RJInteractor::get_pointer() const { return pointer; }
void RJInteractor::set_pointer( RJPointer* p_pointer ) { pointer = p_pointer; }
 


