
/* RJInteractor.h */

#ifndef ROKOJORI__INTERACTOR_H
#define ROKOJORI__INTERACTOR_H

#include "./RJGodotHeaders.h"
#include "./RJSensor.h"
#include "./RJPointer.h"
#include "scene/3d/node_3d.h"




class RJInteractor : public Node3D 
{
  GDCLASS( RJInteractor, Node3D );

protected:
  static void _bind_methods();
  

  
  //  input : RJSensor*
  RJSensor* input = nullptr;
  
  //  pointer : RJPointer*
  RJPointer* pointer = nullptr;

public:

  
  //  input : RJSensor*
  RJSensor* get_input() const; void set_input( RJSensor* p_input );
  
  //  pointer : RJPointer*
  RJPointer* get_pointer() const; void set_pointer( RJPointer* p_pointer );

  //  Constructor
  RJInteractor();

  //  Destructor
  ~RJInteractor();
};


#endif // ROKOJORI__INTERACTOR_H
