
/* RJTimeLine.h */

#ifndef ROKOJORI__TIME_LINE_H
#define ROKOJORI__TIME_LINE_H

#include "./RJGodotHeaders.h"
#include "core/io/resource.h"




class RJTimeLine : public Resource 
{
  GDCLASS( RJTimeLine, Resource );

protected:
  static void _bind_methods();
  

  
  //  isLooping : bool
  bool isLooping;
  
  //  loopStart : float
  float loopStart;
  
  //  loopEnd : float
  float loopEnd;
  
  //  startSpeed : float
  float startSpeed;
  
  //  autoStart : bool
  bool autoStart;

public:

  
  //  isLooping : bool
  bool get_isLooping(); void set_isLooping( bool p_isLooping );
  
  //  loopStart : float
  float get_loopStart(); void set_loopStart( float p_loopStart );
  
  //  loopEnd : float
  float get_loopEnd(); void set_loopEnd( float p_loopEnd );
  
  //  startSpeed : float
  float get_startSpeed(); void set_startSpeed( float p_startSpeed );
  
  //  autoStart : bool
  bool get_autoStart(); void set_autoStart( bool p_autoStart );

  //  Constructor
  RJTimeLine();

  //  Destructor
  ~RJTimeLine();
};


#endif // ROKOJORI__TIME_LINE_H
