
/* RJInteractable.h */

#ifndef ROKOJORI__INTERACTABLE_H
#define ROKOJORI__INTERACTABLE_H

#include "./RJGodotHeaders.h"
#include "./RJAction.h"
#include "scene/3d/node_3d.h"




class RJInteractable : public Node3D 
{
  GDCLASS( RJInteractable, Node3D );

protected:
  static void _bind_methods();
  

  
  //  onInteraction : RJAction*
  RJAction* onInteraction = nullptr;

public:

  
  //  onInteraction : RJAction*
  RJAction* get_onInteraction() const; void set_onInteraction( RJAction* p_onInteraction );

  //  Constructor
  RJInteractable();

  //  Destructor
  ~RJInteractable();
};


#endif // ROKOJORI__INTERACTABLE_H
