
/* RJSensor.h */

#ifndef ROKOJORI__SENSOR_H
#define ROKOJORI__SENSOR_H

#include "./RJGodotHeaders.h"
#include "./RJNetworkNode.h"




class RJSensor : public RJNetworkNode 
{
  GDCLASS( RJSensor, RJNetworkNode );

protected:
  static void _bind_methods();
  

  

public:

  
  //  getValue() : float
  GDVIRTUAL0R( float, getValue );
  
  //  isActive() : bool
  GDVIRTUAL0R( bool, isActive );
  
  //  wasActive() : bool
  GDVIRTUAL0R( bool, wasActive );
  
  //  updateValue( float value ) : void
  GDVIRTUAL1( updateValue, float );

  //  Constructor
  RJSensor();

  //  Destructor
  ~RJSensor();
};


#endif // ROKOJORI__SENSOR_H
